Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 816391 - When I tap to click, the cursor moves
Summary: When I tap to click, the cursor moves
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics
Version: 17
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-26 00:05 UTC by Eduardo Silva
Modified: 2014-08-07 08:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-27 00:10:25 UTC
Type: Bug


Attachments (Terms of Use)
x.org log (34.36 KB, text/plain)
2012-04-26 00:05 UTC, Eduardo Silva
no flags Details


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 49200 0 None None None Never

Description Eduardo Silva 2012-04-26 00:05:58 UTC
Created attachment 580308 [details]
x.org log

Description of problem:
Tap-to-click misbehaves in F17, while it worked fine in F16. I installed F17 from scratch, nothing was kept from previous installation, not even /home.
When I tap, the mouse cursor moves, sometimes slightly, sometimes more, which makes it hard to hit the target.

Version-Release number of selected component (if applicable):

xorg-x11-drv-synaptics-1.5.99-7.20120207git141d92120b



How reproducible:
Always.

Steps to Reproduce:
1.Enable tap to click in gnome's settings
2.Tap on touchpad
  
Actual results:
The mouse cursor moves.

Expected results:
The mouse cursor should not move.

Comment 1 Peter Hutterer 2012-04-27 00:10:25 UTC
I filed an upstream bug for this here: https://bugs.freedesktop.org/show_bug.cgi?id=49200 with a list of potential options to fix this. It's not scheduled for synaptics 1.6 at this point though

You should be able to work around this by increasing the hysteresis values but this will have some effect on small pointer movements too.

Comment 2 Eduardo Silva 2012-05-01 21:37:09 UTC
The problem has been fixed with an update, but I'm not sure which exactly as I had been using an external mouse. My version current version of xorg-x11-drv-synaptics is:

Version     :1.5.99.904
Release     : 1.fc17

Comment 3 Peter Hutterer 2012-05-01 23:02:08 UTC
fwiw, the problem is still there, I could reproduce it on 1.6RC3. Something may have changed that you don't trigger it as easily anymore though.

Comment 4 Luke Hutchison 2014-05-20 07:40:19 UTC
Problem is still present with a thumb-side tap/click on xorg-x11-drv-synaptics-1.7.1-5.fc20.x86_64 (on a 2014 Dell XPS 15 Touch). Can this be re-opened please? It presents a serious usability problem.

Comment 5 Peter Hutterer 2014-08-07 04:31:47 UTC
Luke: best to file a new bug or at least re-open and assign to a new distribution. I'd didn't see this one because I filter emails for EOL versions.

anyway, very late comment: lots of touchpad fixes in synaptics 1.7.6 in F20, so that should've fixed the issue


Note You need to log in before you can comment on or make changes to this bug.